@import url('https://fonts.googleapis.com/css2?family=Roboto+Flex:wght@100;200;300;400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@48,200,0,0');

@import url('slider.css');

@-ms-viewport { width: device-width; }
@-o-viewport { width: device-width; }
@viewport { width: device-width; }

html, body { font-size: 100%; }

*, *:after, *:before { box-sizing: border-box; padding: 0; margin: 0; }
ul { list-style: none; }
a { text-decoration: none; outline: none; cursor: pointer; display: block; }
a:link, a:visited, a:hover, a:active { color: inherit; }

input { font-family: inherit; font-size: inherit; font-weight: inherit; line-height: inherit; background: transparent; background-clip: padding-box; border: transparent; border-width: 0 2px; }
input { color: #3A3A3A; }
.dark input { color: #E1E1E1; }
input::placeholder { color: #3A3A3A; opacity: 0.4; }
.dark input::placeholder { color: #E1E1E1; opacity: 0.4; }
input:focus, input:focus-visible { outline: none; }
input:disabled, input[readonly] { opacity: 1; }

button { outline: none; border: none; background: transparent; color: inherit; font: inherit; }

h1 { font-size: 2.5rem; font-weight: 300; margin: 1rem 0 3rem; line-height: 1.0; }
h2 { font-size: 1.875rem; font-weight: 300; margin: 1rem 0; line-height: 0.9; }
h3 { font-size: 1.75rem; font-weight: 300; margin: 1rem 0; line-height: 0.9; }
h4 { font-size: 1.5rem; font-weight: 300; margin: 1rem 0; line-height: 0.9; }

body { font-family: 'Roboto Flex', Arial, sans-serif; font-weight: 200; color: #3A3A3A; background: #FAFAFA; }
body.dark { color: #E1E1E1; background: #171717; }

.hide { display: none; }

.base { max-width: 960px; width: 100%; margin: 0 auto; padding: 0 1.25rem; font-size: 1.25rem; }

.head { z-index: 500; position: fixed; top: 0; width: 100%; padding: 1rem 0 2rem; background: linear-gradient(to bottom, #FAFAFA 70%, transparent 100%); }
.dark .head { background: linear-gradient(to bottom, #171717 70%, transparent 100%); }

.main { width: 100%; /* margin-top: 6rem; */ }
.main .base {
/*
    background-attachment: fixed;
    background-image:
        repeating-linear-gradient(to bottom, transparent, transparent var(--grad-width),
        var(--base-color) calc(var(--grad-width) + 1px), var(--base-color) calc(var(--grad-width) + var(--grad-padds)) ),
        repeating-linear-gradient( -75deg, transparent, transparent var(--grad-width),
        var(--base-color) calc(var(--grad-width) + 1px), var(--base-color) calc(var(--grad-width) + var(--grad-padds)) ),
        linear-gradient(to bottom,var(--base-color) 10%,transparent 100%),
        linear-gradient(150deg,var(--base-color) 40%,var(--grad-color) 75%);
*/
}

.page { padding: 6rem 0 3rem; min-height: 100vh; border-top: 2px solid #E71008; }

.qbox { display: flex; }

.foot { text-align: center; color: #666666; font-size: 0.75rem; line-height: 2rem; }
.foot::before { content: '\00A9   ООО ОПЛАТА.РУ, 2023'; white-space: pre; }

.logo { display: block; float: left; }
.logo img { height: 3rem; }

.icon {
    text-transform: none;
    font-family: 'Material Symbols Outlined';
    font-size: 2rem;
    vertical-align: bottom;
    padding: 0;
    /*text-align: center;*/
}

.butn { cursor: pointer; line-height: 3rem; padding: 0 1.25rem; border-radius: 0.5rem; white-space: nowrap; }
.butn:hover { background: #E8E8E8; }
.dark .butn:hover { background: #3A3A3A; }

.acnt { color: #FFFFFF; background: #E71008; }
.acnt:hover { color: #FFFFFF; background: #FF0000; }
.dark .acnt:hover { color: #FFFFFF; background: #FF0000; }

/* меню */
#menu { float: right; }
#menu li { display: inline-block; margin-left: 0.25rem; overflow: hidden; }
#menu li:last-child a { width: 3rem; padding: 0; }
#menu a span:first-child { display: block; text-align: center; font-size: 1.5rem; }
#menu a span:last-child { display: none; }
#menu a[name="login"] { display: none; }

#menu.active { max-height: 100vh; padding: 1rem; border: 1px solid #DDDDDD; background: rgba(250,250,250,0.95); }
.dark #menu.active { border: 1px solid #444444; background: rgba(23,23,23,0.95); }

/* кнопка переключения меню, появляющаяся при ширине 768px */
.mntg { display: none; position: relative; float: right; width: 3rem; height: 3rem; margin-left: 1.25rem; cursor: pointer; }
.mntg span { display: block; height: 100%; line-height: 3rem; text-align: center; font-size: 2.5rem; }

@media (max-width: 980px) {
    .mntg { display: block; }

    /* скрываем верхнее меню, отменяем обтекание, позиционируем его, сместив на высоту шапки сайта */
    #menu {
        max-height: 0;
        float: none;
        position: absolute;
        overflow: hidden;
        top: 4.5rem;
        right: 1.25rem;
        z-index: 530;
   }
   /* делаем элементы списка блочными, чтобы они располагались друг под другом */
   #menu li {
        display: block;
        /* text-align: center; */
        /* border-bottom: 1px solid #EBEBE3; */
        /* margin-right: 0; */
   }

    /* #menu a.butn[data-icon] { text-align: start; } */
    #menu a.butn[data-icon]:before {
        content: attr(data-icon);
        font-family: 'Material Symbols Outlined';
        font-variation-settings: 'FILL' 0, 'wght' 200, 'GRAD' 0, 'opsz' 48;
        font-size: 2rem;
        /*line-height: 2.4rem;*/
        text-transform: none;
        padding: 0 0.5rem 0 0;
        vertical-align: top;
    }

    #menu a[name="login"] { display: block; }

    #menu a span:first-child { display: inline; padding: 0 0.5rem 0 0; font-size: 2rem; }
    #menu a span:last-child { display: inline; }
    #menu li:last-child a { width: 100%; padding: 0 1.25rem; }
}

/* Инфопанель */
#info { display: flex; }
#info .qbox { flex-direction: column; justify-content: space-around; flex: 100%; }
#info .qone { display: flex; flex-direction: column; align-items: center; }
#info .qone div { max-width: 25rem; padding: 3rem; text-align: center; }
#info .qone a { width: 6rem; text-align: center; margin: 3rem auto 0; }

/* Вход */
#sign { display: flex; justify-content: flex-end; flex-wrap: nowrap; padding: 1.25rem 0; }
#sign div { border: 2px solid #C0C0C0; border-radius: 0.5rem; padding: 0 0.5rem; margin: 1px 0.3rem; }
#sign input { display: block; font-size: 0.875rem; padding: 0.25rem 0; }
#sign input[name="login"] { border-bottom: 1px solid #C0C0C0; }
#sign input[name="password"] { border-top: 1px solid #C0C0C0; }
#sign button { font-size: 3rem; padding: 0 0.375rem; }

/* Главная */
#main { display: flex; position: relative; z-index: 100; }
/*
#main:before {
  content: " "; position: absolute; top: 0; left: 0; width: 100%; height: 100vh; opacity: .4; z-index: 50;
  background: url('/files/back15.jpg');
}
*/
#main a { margin-left: auto; }
#main a[name="#join"] { font-size: 1.875rem; line-height: 4rem; padding: 0 2rem; align-self: flex-end; }
#main h1 { font-size: 2.75rem; width: 100%; /*overflow: hidden;*/ margin: 0 0 3rem; }
#main h4 { margin: 1rem 0 0.5rem; }
#main li { list-style: square inside; }
#main .qbox { flex-direction: column; justify-content: space-around; flex: 100%; }
#main .qone { display: flex; }
#main .qone > div:first-child { width: 60%; margin: 0 0 2rem; }
#main .qone > div:last-child { text-align: right; width: 40%; }

@media (max-width: 576px) {
    #main h1 { font-size: 2.375rem; }
    #main .qone div:first-child { width: 100%; }
}

@media (max-width: 980px) { #main .qone div:last-child { display: none; } }

/* Презентация */
#show { display: flex; }
#show a.butn { text-align: center; width: fit-content; margin: 1.25rem auto 0; }
.sldr { flex: 100%; }
.sldr-wrapper { width: 100%; height: 100%; }
.sldr-indicators { bottom: 1rem; }
.sldr-items { width: 100%; height: 100%; }
.sldr-item { background: center center/contain no-repeat; }
.sldr-indicator { width: 1.25rem; height: 0.625rem; background-color: rgb( 0 0 0 / 10% ); border: 1px solid transparent; border-radius: 3px; }
.dark .sldr-indicator { background-color: rgb( 255 255 255 / 10% ); }
.sldr-indicator-active { background-color: rgb( 0 0 0 / 40% ); }
.dark .sldr-indicator-active { background-color: rgb( 255 255 255 / 40% ); }

#show .qbox { flex-direction: column; justify-content: space-around; flex: 100%; }

/* Терминалы */

#term { display: flex; align-items: center; }
#term a { float: right; }
#term a[name="#join"] { align-self: flex-start; }

#term h1 { font-size: 1.875rem; width: 100%; margin: 0 0 1rem; }
#term h3 { font-size: 1.5rem; margin: 0; }
#term li { list-style: square outside; margin: 0 0 0.5rem 1.25rem; line-height: 1; }

#term .qbox { flex-direction: column; justify-content: space-around; flex: 100%; }
#sterm .qone { display: flex; }

#term .rect {
    position: absolute; width: 20rem; height: 14rem;
    display: flex;
    border-radius: 0.5rem; padding: 1.5rem;
    color: #FFFFFF;
}

#term .d1 { width: 56%; float: left; }
#term .d2 { position: relative; width: 40%; float: right; height: 23rem; }
#term .d3 { width: 60%; padding-right: 10rem; float: left; margin: 1rem 0; }

@media (max-width: 768px) {
    #term h1 { font-size: 1.375rem; }
    #term h3 { font-size: 1.25rem; }
    #term .rect { padding: 1.5rem; }
    #term .d1 { width: 100%; }
    #term .d2 { width: 100%; }
    #term .d3 { width: 100%; padding-right: inherit; }
}
@media (max-width: 576px) {
    #dv-2 { left: 0; }
    #im-3 {  margin: auto; }
}

/* Заявка */
#join label { font-size: 1.25rem; }
#join input[id^="reg_"] {
    display: block;
    width: 100%;
    height: 3.125rem;
    /* padding: 1rem 0; */
    margin: 0 0 2rem;
    font-size: 1.875rem;
    /* line-height: 1.5; */
    background-clip: padding-box;
    border-bottom: 2px solid #E71008;
}
.dark #join input[id^="reg_"] { color: #E1E1E1; }
#join input[id^="reg_"]::placeholder { color: #3A3A3A; opacity: 0.4; }
.dark #join input[id^="reg_"]::placeholder { color: #E1E1E1; }
#join input[id^="reg_"]:focus, #join input[id^="reg_"]:focus-visible { color: #E71008; background: transparent; outline: 0; }
#join input[id^="reg_"]:disabled, #join input[id^="reg_"][readonly] { opacity: 1; }

#join .acnt { float: right; margin: 1rem 0 0 1rem; font-size: 1.25rem; }

#join .qbox div:first-child { flex: 0 1 40%; padding: 0 16% 0 0; }
#join .qbox div:last-child { /*flex: 1 0 60%;*/ padding: 1.5rem 0 3rem; }

@media (max-width: 768px) {
    #join .qbox { flex-wrap: wrap; }
    #join .qbox div:first-child { flex: 100%; padding: 0 0 2rem 0; }
}

/* Вопросы */
#faqs .faqs li { cursor: pointer; position: relative; padding: 1.75rem 0 1.75rem 2.5rem; font-size: 1.375rem; }
#faqs .faqs li:not(:first-child) { border-top: 1px solid #DDDDDD; }
.dark #faqs .faqs li:not(:first-child) { border-top: 1px solid #444444; }
#faqs .faqs li + div { display: none; padding: 0 0 1.75rem; }
#faqs .faqs li.drop + div { display: inherit; }
#faqs .faqs li:before { content: '\e5cf  '; position: absolute; left: -0.5rem; top: 1.3rem; font-family: 'Material Symbols Outlined'; font-size: 2rem; }
#faqs .faqs li.drop:before { content: '\e5ce'; }
/* О компании */
#comp .qbox { margin: 2rem 0; }
#comp .qone { display: flex; flex-wrap: wrap; flex: 33.333333%; }
#comp .qbox div.qone:not(:first-child) { margin-left: 2rem; }
#comp .qtwo { display: flex; flex-wrap: wrap; align-content: flex-start; }
#comp .qcap { min-width: 200px; margin: 0 0 2.5rem; padding: 0; align-self: flex-start; }
#comp .qcap::before { display: block; content:""; position: relative; top: 3.5rem; width: 4rem; border-top: 4px solid #E71008; }
#comp .qdiv { padding: 0 0 1rem 0; align-self: flex-start; }
#comp .qpic { width: 100%; opacity: 0.75; align-self: flex-end; }
@media (max-width: 768px) {
    #comp .qbox { flex-wrap: wrap; }
    #comp .qone { flex-wrap: nowrap; flex: 100%; }
    #comp .qbox div.qone:not(:first-child) { margin-left: 0; margin-top: 2rem; }
    #comp .qtwo { flex: 50%; }
    #comp .qdiv { padding: 0 2rem 0 0; }
    #comp .qpic { height: auto; width: 25%; }
}
@media (max-width: 640px) {
    #comp .qpic { height: auto; width: 30%; }
}
@media (max-width: 576px) {
    #comp .qbox { flex-wrap: wrap; }
    #comp .qone { flex-wrap: wrap; width: 100%; margin: 0; }
    #comp .qdiv { padding: 0 0 1rem 0; }
    #comp .qpic { height: auto; width: 100%; max-width: 100%; flex: 100%; }
}
/* Контакты */
#cont .qbox { margin: 2rem 0; }
#cont .qone { display: flex; flex-direction: column; flex: 33.333333%; border: 2px solid #C0C0C0; padding: 2rem; }
.dark #cont .qone { border: 2px solid #C0C0C0; }

#cont .qbox div.qone:not(:first-child) { margin-left: 2rem; }
#cont .qcap { min-width: 200px; margin: 0 0 2.5rem; padding: 0; align-self: flex-start; }

#cont li { position: relative; padding: 0 0 1.25rem 2.25rem; }
#cont li[data-icon]:before {
    content: attr(data-icon);
    position: absolute;
    left: 0;
    top: -0.25rem;
    font-family: 'Material Symbols Outlined';
    font-variation-settings: 'FILL' 0, 'wght' 200, 'GRAD' 0, 'opsz' 48;
    font-size: 1.875rem;
    /*line-height: 1.75rem;*/
    /*vertical-align: bottom;*/
}

@media (max-width: 909px) {
    #cont .qbox { flex-wrap: wrap; }
    #cont .qone { flex-direction: row; flex: 100%; }
    #cont .qbox div.qone:not(:first-child) { margin-left: 0; margin-top: 2rem; }
    #cont li { margin-left: 3rem; }

}
@media (max-width: 576px) {
    #cont .qbox { flex-wrap: wrap; }
    #cont .qone { flex-direction: column; width: 100%; margin: 0; }
    #cont li { margin: 0; }
}

#effect { z-index: -1; position: absolute; width: 100%; height: 90%; }
